!> \mainpage My doxyproblem illustrated
!!  The main program of this example is main, defined in file main.f90.
!!
!!
!! This pgm uses 2 modules:
!! - modincl, def in file module_include.f90 
!! - moddirect, in file module_2.f90
!!
!! Main does not include directly modnested, only modincl, and 
!! modincl uses module modnested (def. in file module_1.f90)
!!
!! Pgm main then calls 3 subroutines :
!! - sub_1 defined in modnested (file module_1.f90)
!! - sub_2 defined directly in file sub_2.f90
!! - sub_3 defined in module moddirect (file module_2.f90)
!!
!! The problem is as follows:
!! - subroutine sub_1 does not appear in the dependencies of main
!! - sub_2 and sub_3 do appear properly
!! - sub_1 is however seen by doxygen, there is a doc for it
!! - if I remove the level "use modincl" and put directly "use modnested" in main, everything is fine
!!
!<


!> \file main.f90 main pgm
!!
!<

!> \namespace main 
!! main pgm 
!!
!!
!! Defined in file : main.f90
!!
!<
program main
use modincl
use moddirect
call sub_1
call sub_2
call sub_3
end program main